Package org.jboss.logging.processor.validation

# Interface FormatValidator

All Known Implementing Classes:
  `StringFormatValidator`

public interface FormatValidator
Date: 14.06.2011

Author:
  James R. Perkins

## Method Summary

Modifier and Type
Method
Description
`int`
`argumentCount()`
The number of arguments needed for the format.
`String`
`detailMessage()`
A detail message if `isValid()` returns `false`, otherwise an empty string.
`String`
`format()`
Returns the format string used for validation.
`boolean`
`isValid()`
Returns `true` of the format is valid, otherwise `false`.
`String`
`summaryMessage()`
A summary message if `isValid()` returns `false`, otherwise an empty string.

## Method Details

### argumentCount

int argumentCount()
The number of arguments needed for the format.

Returns:
  the number of arguments needed.

### format

String format()
Returns the format string used for validation.

Returns:
  the format string.

### isValid

boolean isValid()
Returns `true` of the format is valid, otherwise `false`.

Returns:
  `true` of the format is valid, otherwise `false`.

### detailMessage

String detailMessage()
A detail message if `isValid()` returns `false`, otherwise an empty string.

Returns:
  a detailed message.

### summaryMessage

String summaryMessage()
A summary message if `isValid()` returns `false`, otherwise an empty string.

Returns:
  a summary message.